glibmm 2.66.10

Public Member Functions | List of all members
Glib::Threads::RWLock::ReaderLock Class Reference
Threads

Utility class for exception-safe locking of read/write locks. More...

`#include <glibmm/threads.h>`

## Public Member Functions
| ReaderLock (RWLock & rwlock)
| ReaderLock (RWLock & rwlock, NotLock)
| ReaderLock (RWLock & rwlock, TryLock)
| ReaderLock (const RWLock::ReaderLock &)=delete
RWLock::ReaderLock & | operator= (const RWLock::ReaderLock &)=delete
| ~ReaderLock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of read/write locks.

Deprecated
  Please use std::lock_guard or std::unique_lock instead, with std::shared_timed_mutex.

## Constructor & Destructor Documentation

## ◆ ReaderLock() [1/4]

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock & | rwlock | ) |
| inline explicit

## ◆ ReaderLock() [2/4]

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock & | rwlock,
|  | NotLock | )
| inline

## ◆ ReaderLock() [3/4]

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | RWLock & | rwlock,
|  | TryLock | )
| inline

## ◆ ReaderLock() [4/4]

Glib::Threads::RWLock::ReaderLock::ReaderLock | ( | const RWLock::ReaderLock & |  | ) |
| delete

## ◆ ~ReaderLock()

Glib::Threads::RWLock::ReaderLock::~ReaderLock | ( |  | ) |
| inline

## Member Function Documentation

## ◆ acquire()

void Glib::Threads::RWLock::ReaderLock::acquire | ( |  | ) |
| inline

## ◆ locked()

bool Glib::Threads::RWLock::ReaderLock::locked | ( |  | ) | const
| inline

## ◆ operator=()

RWLock::ReaderLock & Glib::Threads::RWLock::ReaderLock::operator= | ( | const RWLock::ReaderLock & |  | ) |
| delete

## ◆ release()

void Glib::Threads::RWLock::ReaderLock::release | ( |  | ) |
| inline

## ◆ try_acquire()

bool Glib::Threads::RWLock::ReaderLock::try_acquire | ( |  | ) |
| inline